import axios from 'axios'

// const user = JSON.parse(localStorage.getItem('userInfo') ?? 'null');
// const token = user?.token
const token = '0ccdZ9QR_a7mNT9eNB784IbdZC3cJBtRMbuXWg_btjWlPsYX_bLlRN6RJ2Rtq3vsHs90gRM51pbxYqamXsT18QuDMQn0cQ'

const isDev = false

const baseURL = isDev ? 'https://aimoocapi.bozedu.net' : 'https://aimoocapi.bozedu.net'

const Request = axios.create({
  baseURL,
  method: 'post',
  timeout: 60000,
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
  },
})

Request.interceptors.request.use(
  (config) => {
    config.data = Object.assign(
      {
        token,
        api: 'json',
        issubmit: 1
      },
      config.data || {}
    )
    if (config.method === 'get') {
      config.params = Object.assign(
        {
          token,
          api: 'json',
          fake: 1,
        },
        config.params || {}
      )
    }
    return config
  },
  (error) => {
    console.error('request error: ', error)
    return Promise.reject(error)
  }
)

// response interceptor
Request.interceptors.response.use(
  (response) => {
    return response.data
  },
  (error) => {
    console.error('response error: ' + error)
    return Promise.reject(error)
  }
)

export default Request
